Index: issm/trunk/src/m/enum/AbsoluteEnum.m
===================================================================
--- issm/trunk/src/m/enum/AbsoluteEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/AbsoluteEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=AbsoluteEnum()
 
-macro=224;
+macro=223;
Index: issm/trunk/src/m/enum/AdjointEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/AdjointEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=AdjointEnum()
 
-macro=239;
+macro=238;
Index: issm/trunk/src/m/enum/BetaEnum.m
===================================================================
--- issm/trunk/src/m/enum/BetaEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/BetaEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=BetaEnum()
 
-macro=234;
+macro=233;
Index: issm/trunk/src/m/enum/BoolExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoolExternalResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/BoolExternalResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=BoolExternalResultEnum()
 
-macro=210;
+macro=209;
Index: issm/trunk/src/m/enum/CmGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmGradientEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/CmGradientEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=CmGradientEnum()
 
-macro=235;
+macro=234;
Index: issm/trunk/src/m/enum/CmJumpEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmJumpEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/CmJumpEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=CmJumpEnum()
 
-macro=236;
+macro=235;
Index: issm/trunk/src/m/enum/CmMaxEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/CmMaxEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=CmMaxEnum()
 
-macro=237;
+macro=236;
Index: issm/trunk/src/m/enum/CmMinEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/CmMinEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=CmMinEnum()
 
-macro=238;
+macro=237;
Index: issm/trunk/src/m/enum/ColinearEnum.m
===================================================================
--- issm/trunk/src/m/enum/ColinearEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ColinearEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ColinearEnum()
 
-macro=232;
+macro=231;
Index: issm/trunk/src/m/enum/ConnectivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ConnectivityEnum()
 
-macro=242;
+macro=241;
Index: issm/trunk/src/m/enum/ControlParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlParameterEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ControlParameterEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ControlParameterEnum()
 
-macro=243;
+macro=242;
Index: issm/trunk/src/m/enum/ControlSteadyEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ControlSteadyEnum()
 
-macro=244;
+macro=243;
Index: issm/trunk/src/m/enum/DakotaParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=DakotaParameterEnum()
 
-macro=245;
+macro=244;
Index: issm/trunk/src/m/enum/DimEnum.m
===================================================================
--- issm/trunk/src/m/enum/DimEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/DimEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=DimEnum()
 
-macro=246;
+macro=245;
Index: issm/trunk/src/m/enum/DoubleElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleElementResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/DoubleElementResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=DoubleElementResultEnum()
 
-macro=207;
+macro=206;
Index: issm/trunk/src/m/enum/DoubleExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleExternalResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/DoubleExternalResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=DoubleExternalResultEnum()
 
-macro=211;
+macro=210;
Index: issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/DoubleMatExternalResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=DoubleMatExternalResultEnum()
 
-macro=213;
+macro=212;
Index: issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/DoubleVecExternalResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=DoubleVecExternalResultEnum()
 
-macro=212;
+macro=211;
Index: issm/trunk/src/m/enum/EnumAsString.m
===================================================================
--- issm/trunk/src/m/enum/EnumAsString.m	(revision 4935)
+++ issm/trunk/src/m/enum/EnumAsString.m	(revision 4936)
@@ -192,5 +192,4 @@
 	case TemperatureEnum(), string='Temperature'; return
 	case TemperatureOldEnum(), string='TemperatureOld'; return
-	case TemperatureAverageEnum(), string='TemperatureAverage'; return
 	case ThicknessEnum(), string='Thickness'; return
 	case TypeEnum(), string='Type'; return
Index: issm/trunk/src/m/enum/EpsAbsEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=EpsAbsEnum()
 
-macro=247;
+macro=246;
Index: issm/trunk/src/m/enum/EpsCmEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsCmEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/EpsCmEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=EpsCmEnum()
 
-macro=248;
+macro=247;
Index: issm/trunk/src/m/enum/EpsRelEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsRelEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/EpsRelEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=EpsRelEnum()
 
-macro=249;
+macro=248;
Index: issm/trunk/src/m/enum/EpsResEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsResEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/EpsResEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=EpsResEnum()
 
-macro=250;
+macro=249;
Index: issm/trunk/src/m/enum/ExtrudeParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/ExtrudeParamEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ExtrudeParamEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ExtrudeParamEnum()
 
-macro=251;
+macro=250;
Index: issm/trunk/src/m/enum/GradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/GradientEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/GradientEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=GradientEnum()
 
-macro=240;
+macro=239;
Index: issm/trunk/src/m/enum/GravityEnum.m
===================================================================
--- issm/trunk/src/m/enum/GravityEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/GravityEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=GravityEnum()
 
-macro=227;
+macro=226;
Index: issm/trunk/src/m/enum/HeatCapacityEnum.m
===================================================================
--- issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=HeatCapacityEnum()
 
-macro=252;
+macro=251;
Index: issm/trunk/src/m/enum/IntExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntExternalResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/IntExternalResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=IntExternalResultEnum()
 
-macro=214;
+macro=213;
Index: issm/trunk/src/m/enum/IntersectEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntersectEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/IntersectEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=IntersectEnum()
 
-macro=231;
+macro=230;
Index: issm/trunk/src/m/enum/IsHutterEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsHutterEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/IsHutterEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=IsHutterEnum()
 
-macro=253;
+macro=252;
Index: issm/trunk/src/m/enum/IsMacAyealPattynEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=IsMacAyealPattynEnum()
 
-macro=254;
+macro=253;
Index: issm/trunk/src/m/enum/IsStokesEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsStokesEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/IsStokesEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=IsStokesEnum()
 
-macro=255;
+macro=254;
Index: issm/trunk/src/m/enum/JEnum.m
===================================================================
--- issm/trunk/src/m/enum/JEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/JEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=JEnum()
 
-macro=217;
+macro=216;
Index: issm/trunk/src/m/enum/LatentHeatEnum.m
===================================================================
--- issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=LatentHeatEnum()
 
-macro=256;
+macro=255;
Index: issm/trunk/src/m/enum/LowmemEnum.m
===================================================================
--- issm/trunk/src/m/enum/LowmemEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/LowmemEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=LowmemEnum()
 
-macro=257;
+macro=256;
Index: issm/trunk/src/m/enum/MaxIterEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxIterEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/MaxIterEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=MaxIterEnum()
 
-macro=258;
+macro=257;
Index: issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=MaxNonlinearIterationsEnum()
 
-macro=259;
+macro=258;
Index: issm/trunk/src/m/enum/MeltingPointEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=MeltingPointEnum()
 
-macro=260;
+macro=259;
Index: issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=MinMechanicalConstraintsEnum()
 
-macro=261;
+macro=260;
Index: issm/trunk/src/m/enum/MinThermalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=MinThermalConstraintsEnum()
 
-macro=262;
+macro=261;
Index: issm/trunk/src/m/enum/MiniEnum.m
===================================================================
--- issm/trunk/src/m/enum/MiniEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/MiniEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=MiniEnum()
 
-macro=206;
+macro=205;
Index: issm/trunk/src/m/enum/MixedLayerCapacityEnum.m
===================================================================
--- issm/trunk/src/m/enum/MixedLayerCapacityEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/MixedLayerCapacityEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=MixedLayerCapacityEnum()
 
-macro=229;
+macro=228;
Index: issm/trunk/src/m/enum/NStepsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NStepsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/NStepsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=NStepsEnum()
 
-macro=263;
+macro=262;
Index: issm/trunk/src/m/enum/NdtEnum.m
===================================================================
--- issm/trunk/src/m/enum/NdtEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/NdtEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=NdtEnum()
 
-macro=264;
+macro=263;
Index: issm/trunk/src/m/enum/NumOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumOutputEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/NumOutputEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=NumOutputEnum()
 
-macro=265;
+macro=264;
Index: issm/trunk/src/m/enum/NumRiftsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=NumRiftsEnum()
 
-macro=266;
+macro=265;
Index: issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=NumberOfDofsPerNodeEnum()
 
-macro=267;
+macro=266;
Index: issm/trunk/src/m/enum/NumberOfElementsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=NumberOfElementsEnum()
 
-macro=268;
+macro=267;
Index: issm/trunk/src/m/enum/NumberOfNodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=NumberOfNodesEnum()
 
-macro=269;
+macro=268;
Index: issm/trunk/src/m/enum/NumberOfVerticesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=NumberOfVerticesEnum()
 
-macro=270;
+macro=269;
Index: issm/trunk/src/m/enum/OldGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/OldGradientEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/OldGradientEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=OldGradientEnum()
 
-macro=241;
+macro=240;
Index: issm/trunk/src/m/enum/OptScalEnum.m
===================================================================
--- issm/trunk/src/m/enum/OptScalEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/OptScalEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=OptScalEnum()
 
-macro=271;
+macro=270;
Index: issm/trunk/src/m/enum/OutputFilePointerEnum.m
===================================================================
--- issm/trunk/src/m/enum/OutputFilePointerEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/OutputFilePointerEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=OutputFilePointerEnum()
 
-macro=272;
+macro=271;
Index: issm/trunk/src/m/enum/P0Enum.m
===================================================================
--- issm/trunk/src/m/enum/P0Enum.m	(revision 4935)
+++ issm/trunk/src/m/enum/P0Enum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=P0Enum()
 
-macro=203;
+macro=202;
Index: issm/trunk/src/m/enum/P1DGEnum.m
===================================================================
--- issm/trunk/src/m/enum/P1DGEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/P1DGEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=P1DGEnum()
 
-macro=205;
+macro=204;
Index: issm/trunk/src/m/enum/P1Enum.m
===================================================================
--- issm/trunk/src/m/enum/P1Enum.m	(revision 4935)
+++ issm/trunk/src/m/enum/P1Enum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=P1Enum()
 
-macro=204;
+macro=203;
Index: issm/trunk/src/m/enum/ParameterOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ParameterOutputEnum()
 
-macro=273;
+macro=272;
Index: issm/trunk/src/m/enum/PatchEnum.m
===================================================================
--- issm/trunk/src/m/enum/PatchEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/PatchEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=PatchEnum()
 
-macro=218;
+macro=217;
Index: issm/trunk/src/m/enum/PatchNodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/PatchNodesEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/PatchNodesEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=PatchNodesEnum()
 
-macro=220;
+macro=219;
Index: issm/trunk/src/m/enum/PatchVerticesEnum.m
===================================================================
--- issm/trunk/src/m/enum/PatchVerticesEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/PatchVerticesEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=PatchVerticesEnum()
 
-macro=219;
+macro=218;
Index: issm/trunk/src/m/enum/PenaltyMeltingEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=PenaltyMeltingEnum()
 
-macro=274;
+macro=273;
Index: issm/trunk/src/m/enum/PentaVertexElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/PentaVertexElementResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/PentaVertexElementResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=PentaVertexElementResultEnum()
 
-macro=209;
+macro=208;
Index: issm/trunk/src/m/enum/PetscVecExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscVecExternalResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/PetscVecExternalResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=PetscVecExternalResultEnum()
 
-macro=215;
+macro=214;
Index: issm/trunk/src/m/enum/QmuAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuAnalysisEnum()
 
-macro=275;
+macro=274;
Index: issm/trunk/src/m/enum/QmuErrNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuErrNameEnum()
 
-macro=276;
+macro=275;
Index: issm/trunk/src/m/enum/QmuInNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuInNameEnum()
 
-macro=277;
+macro=276;
Index: issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuMassFluxSegmentsEnum()
 
-macro=278;
+macro=277;
Index: issm/trunk/src/m/enum/QmuNPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuNPartEnum()
 
-macro=279;
+macro=278;
Index: issm/trunk/src/m/enum/QmuOutNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuOutNameEnum()
 
-macro=280;
+macro=279;
Index: issm/trunk/src/m/enum/QmuPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuPartEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuPartEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuPartEnum()
 
-macro=281;
+macro=280;
Index: issm/trunk/src/m/enum/QmuVxEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVxEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuVxEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuVxEnum()
 
-macro=191;
+macro=190;
Index: issm/trunk/src/m/enum/QmuVyEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVyEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuVyEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuVyEnum()
 
-macro=196;
+macro=195;
Index: issm/trunk/src/m/enum/QmuVzEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuVzEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/QmuVzEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=QmuVzEnum()
 
-macro=201;
+macro=200;
Index: issm/trunk/src/m/enum/RelativeEnum.m
===================================================================
--- issm/trunk/src/m/enum/RelativeEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/RelativeEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=RelativeEnum()
 
-macro=222;
+macro=221;
Index: issm/trunk/src/m/enum/ResidualEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResidualEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ResidualEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ResidualEnum()
 
-macro=223;
+macro=222;
Index: issm/trunk/src/m/enum/ResponseDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ResponseDescriptorsEnum()
 
-macro=282;
+macro=281;
Index: issm/trunk/src/m/enum/RhoIceEnum.m
===================================================================
--- issm/trunk/src/m/enum/RhoIceEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/RhoIceEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=RhoIceEnum()
 
-macro=225;
+macro=224;
Index: issm/trunk/src/m/enum/RhoWaterEnum.m
===================================================================
--- issm/trunk/src/m/enum/RhoWaterEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/RhoWaterEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=RhoWaterEnum()
 
-macro=226;
+macro=225;
Index: issm/trunk/src/m/enum/SeparateEnum.m
===================================================================
--- issm/trunk/src/m/enum/SeparateEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/SeparateEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=SeparateEnum()
 
-macro=233;
+macro=232;
Index: issm/trunk/src/m/enum/SolverStringEnum.m
===================================================================
--- issm/trunk/src/m/enum/SolverStringEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/SolverStringEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=SolverStringEnum()
 
-macro=283;
+macro=282;
Index: issm/trunk/src/m/enum/SparsityEnum.m
===================================================================
--- issm/trunk/src/m/enum/SparsityEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/SparsityEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=SparsityEnum()
 
-macro=284;
+macro=283;
Index: issm/trunk/src/m/enum/StringAsEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringAsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/StringAsEnum.m	(revision 4936)
@@ -190,5 +190,4 @@
 elseif (strcmpi(name,'Temperature')), enum=TemperatureEnum(); return
 elseif (strcmpi(name,'TemperatureOld')), enum=TemperatureOldEnum(); return
-elseif (strcmpi(name,'TemperatureAverage')), enum=TemperatureAverageEnum(); return
 elseif (strcmpi(name,'Thickness')), enum=ThicknessEnum(); return
 elseif (strcmpi(name,'Type')), enum=TypeEnum(); return
Index: issm/trunk/src/m/enum/StringExternalResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringExternalResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/StringExternalResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=StringExternalResultEnum()
 
-macro=216;
+macro=215;
Index: issm/trunk/src/m/enum/ThermalConductivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThermalConductivityEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ThermalConductivityEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ThermalConductivityEnum()
 
-macro=228;
+macro=227;
Index: issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ThermalExchangeVelocityEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ThermalExchangeVelocityEnum()
 
-macro=230;
+macro=229;
Index: issm/trunk/src/m/enum/ThicknessEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThicknessEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ThicknessEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ThicknessEnum()
 
-macro=182;
+macro=181;
Index: issm/trunk/src/m/enum/TimeEnum.m
===================================================================
--- issm/trunk/src/m/enum/TimeEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/TimeEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=TimeEnum()
 
-macro=221;
+macro=220;
Index: issm/trunk/src/m/enum/TolXEnum.m
===================================================================
--- issm/trunk/src/m/enum/TolXEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/TolXEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=TolXEnum()
 
-macro=285;
+macro=284;
Index: issm/trunk/src/m/enum/TriaVertexElementResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/TriaVertexElementResultEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/TriaVertexElementResultEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=TriaVertexElementResultEnum()
 
-macro=208;
+macro=207;
Index: issm/trunk/src/m/enum/TypeEnum.m
===================================================================
--- issm/trunk/src/m/enum/TypeEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/TypeEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=TypeEnum()
 
-macro=183;
+macro=182;
Index: issm/trunk/src/m/enum/VariableDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VariableDescriptorsEnum()
 
-macro=286;
+macro=285;
Index: issm/trunk/src/m/enum/VelEnum.m
===================================================================
--- issm/trunk/src/m/enum/VelEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VelEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VelEnum()
 
-macro=184;
+macro=183;
Index: issm/trunk/src/m/enum/VelObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VelObsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VelObsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VelObsEnum()
 
-macro=185;
+macro=184;
Index: issm/trunk/src/m/enum/VerboseEnum.m
===================================================================
--- issm/trunk/src/m/enum/VerboseEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VerboseEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VerboseEnum()
 
-macro=287;
+macro=286;
Index: issm/trunk/src/m/enum/ViscosityOvershootEnum.m
===================================================================
--- issm/trunk/src/m/enum/ViscosityOvershootEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/ViscosityOvershootEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=ViscosityOvershootEnum()
 
-macro=186;
+macro=185;
Index: issm/trunk/src/m/enum/VxAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxAverageEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VxAverageEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VxAverageEnum()
 
-macro=187;
+macro=186;
Index: issm/trunk/src/m/enum/VxEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VxEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VxEnum()
 
-macro=188;
+macro=187;
Index: issm/trunk/src/m/enum/VxObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxObsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VxObsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VxObsEnum()
 
-macro=189;
+macro=188;
Index: issm/trunk/src/m/enum/VxOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxOldEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VxOldEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VxOldEnum()
 
-macro=190;
+macro=189;
Index: issm/trunk/src/m/enum/VyAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyAverageEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VyAverageEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VyAverageEnum()
 
-macro=192;
+macro=191;
Index: issm/trunk/src/m/enum/VyEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VyEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VyEnum()
 
-macro=193;
+macro=192;
Index: issm/trunk/src/m/enum/VyObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyObsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VyObsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VyObsEnum()
 
-macro=194;
+macro=193;
Index: issm/trunk/src/m/enum/VyOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyOldEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VyOldEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VyOldEnum()
 
-macro=195;
+macro=194;
Index: issm/trunk/src/m/enum/VzAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzAverageEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VzAverageEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VzAverageEnum()
 
-macro=197;
+macro=196;
Index: issm/trunk/src/m/enum/VzEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VzEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VzEnum()
 
-macro=198;
+macro=197;
Index: issm/trunk/src/m/enum/VzObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzObsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VzObsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VzObsEnum()
 
-macro=199;
+macro=198;
Index: issm/trunk/src/m/enum/VzOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzOldEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/VzOldEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=VzOldEnum()
 
-macro=200;
+macro=199;
Index: issm/trunk/src/m/enum/WaitOnLockEnum.m
===================================================================
--- issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=WaitOnLockEnum()
 
-macro=288;
+macro=287;
Index: issm/trunk/src/m/enum/WeightsEnum.m
===================================================================
--- issm/trunk/src/m/enum/WeightsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/WeightsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=WeightsEnum()
 
-macro=202;
+macro=201;
Index: issm/trunk/src/m/enum/YtsEnum.m
===================================================================
--- issm/trunk/src/m/enum/YtsEnum.m	(revision 4935)
+++ issm/trunk/src/m/enum/YtsEnum.m	(revision 4936)
@@ -9,3 +9,3 @@
 %      macro=YtsEnum()
 
-macro=289;
+macro=288;
Index: issm/trunk/src/m/solutions/steadystate_core.m
===================================================================
--- issm/trunk/src/m/solutions/steadystate_core.m	(revision 4935)
+++ issm/trunk/src/m/solutions/steadystate_core.m	(revision 4936)
@@ -18,10 +18,4 @@
 		displaystring(verbose,'\n%s%i\n','computing velocities and temperatures for step: ',step);
 		femmodel=thermal_core(femmodel); 
-
-		displaystring(verbose,'\n%s',['computing depth average temperature...']);
-		[femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters]=InputDepthAverage(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters,TemperatureEnum,TemperatureAverageEnum);
-
-		displaystring(verbose,'\n%s',['Update material from temperature...']);
-		[femmodel.elements,femmodel.materials]=MaterialUpdateFromTemperature(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters);
 
 		displaystring(verbose,'\n%s',['computing new velocity...']);
Index: issm/trunk/src/m/solutions/transient3d_core.m
===================================================================
--- issm/trunk/src/m/solutions/transient3d_core.m	(revision 4935)
+++ issm/trunk/src/m/solutions/transient3d_core.m	(revision 4936)
@@ -28,10 +28,4 @@
 		femmodel=thermal_core_step(femmodel); 
 
-		displaystring(verbose,'\n%s',['computing depth average temperature...']);
-		[femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters]=InputDepthAverage(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters,TemperatureEnum,TemperatureAverageEnum);
-
-		displaystring(verbose,'\n%s',['Update material from temperature...']);
-		[femmodel.elements,femmodel.materials]=MaterialUpdateFromTemperature(femmodel.elements,femmodel.nodes,femmodel.vertices,femmodel.loads,femmodel.materials,femmodel.parameters);
-
 		displaystring(verbose,'\n%s',['computing new velocities...']);
 		femmodel=diagnostic_core(femmodel); 
